# Note that this is NOT a relocatable package
%define version 1.8.9
%define release 3mdk
%define prefix %{_prefix}
%define name libxml

Summary: The libXML library.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: LGPL
Group: System/Libraries
BuildRequires: zlib-devel
Source: ftp://ftp.gnome.org/pub/GNOME/sources/stable/%{name}/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://www.gnome.org
Prereq: /sbin/install-info

%description
This library allows you to manipulate XML files.

%package devel
Summary: Libraries, includes and other files to develop libxml applications.
Group: Development/C
Requires: libxml = %{PACKAGE_VERSION}
Requires: zlib-devel

%description devel
This packages contains the libraries, include and other files 
you can use to develop libxml applications.


%prep
%setup -q

%build
%configure
if [ x"$SMP" != x"" ]; then
        (make MAKE="make -j $SMP -k"; exit 0)
        make
else
        make
fi

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING COPYING.LIB TODO

%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)

%{_bindir}/xml-config
%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/*.sh
%{_includedir}/*

%changelog
* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.8.9-3mdk
- automatically added BuildRequires

* Fri Jul 28 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.8.9-2mdk
- rebuild 

* Sat Jul 22 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 1.8.9-1mdk
- new version
- big move

* Thu Jul  6 2000 dam's <damien@mandrakesoft.com> 1.8.8-4mdk
- spec cleanup.

* Thu Jul 06 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 1.8.8-3mdk
- use some macros

* Tue Jul  4 2000 dam's <damien@mandrakesoft.com> 1.8.8-2mdk
- moved xml-config to devel package. Thanx to Stefan

* Tue Jul  4 2000 dam's <damien@mandrakesoft.com> 1.8.8-1mdk
- updated.
- spec cleanup.

* Tue Apr 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.8.7-1mdk
- fix release tag

* Sun Apr 16 2000 Daouda Lo <daouda@mandrakesoft.com> 1.8.7-1mdk
- release from helix stuffs.

* Wed Mar 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.8.6-2mdk
- fix group
 
* Sun Feb 20 2000 Axalon Bloodstone <axalon@mandrakesoft.com> 1.8.6-1mdk
- 1.8.6
  
* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP build/check
- 1.7.3
   
* Fri Sep 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.7.1
    
* Thu Jul 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.4.
	  
* Wed Jun 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.2.0.    

* Tue May 11 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions
 
* Thu Mar 04 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.0
  
* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.5 built against gnome-libs-0.99.8
   
* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.5
   
* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- made clean section work again
	 
* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- bumped to 0.99.0 for GNOME freeze
	  
* Sun Oct  4 1998 Daniel Veillard <Daniel.Veillard@w3.org>
- Added xml-config to the package
	   
* Thu Sep 24 1998 Michael Fulbright <msf@redhat.com>
- Built release 0.30                                   
